Bug 6716 - Database Documentation
Summary: Database Documentation
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Developer documentation (show other bugs)
Version: master
Hardware: All All
: P3 enhancement (vote)
Target Milestone: ---
Assignee: Nicole C. Engard
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-12 19:55 UTC by Nicole C. Engard
Modified: 2014-04-03 02:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 6716 - Document Borrowers Table (9.87 KB, patch)
2011-08-12 20:33 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716 - Document Borrowers Table (9.92 KB, patch)
2011-08-12 20:42 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716 - Document Borrowers Table (9.99 KB, patch)
2011-08-12 21:27 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6716 - Document Borrowers Table (deleted)
2011-08-14 13:19 UTC, Katrin Fischer
Details
Bug 6716 - MySQL definition for authorised values table (deleted)
2011-08-14 20:10 UTC, Nicole C. Engard
Details
Bug 6716 - MySQL Table Documentation - Biblio Table (deleted)
2011-08-14 20:29 UTC, Nicole C. Engard
Details
Bug 6716 - Deleted Borrowers MySQL (deleted)
2011-08-14 20:51 UTC, Nicole C. Engard
Details
Bug 6716 - Deleted Biblio Table (deleted)
2011-08-14 20:57 UTC, Nicole C. Engard
Details
Bug 6716 - Branch table documentation (deleted)
2011-08-14 21:17 UTC, Nicole C. Engard
Details
Bug 6716 Documenting two Branch Group tables (deleted)
2011-08-14 21:37 UTC, Nicole C. Engard
Details
Bug6716 - File Cleanup (deleted)
2011-08-14 21:56 UTC, Nicole C. Engard
Details
Bug 6716 - Borrower Attributes Tables (deleted)
2011-08-15 00:31 UTC, Nicole C. Engard
Details
Bug 6716 - Cities Table Documentation (deleted)
2011-08-15 00:43 UTC, Nicole C. Engard
Details
Bug 6716 - Issues Table Documentation (deleted)
2011-08-15 00:52 UTC, Nicole C. Engard
Details
Bug 6716 - Statistics Table Documentation (deleted)
2011-08-15 01:45 UTC, Nicole C. Engard
Details
Bug 6716 - Definition of the branchcategories table (deleted)
2011-08-25 03:00 UTC, Nicole C. Engard
Details
Bug 6716: DB Documentation for the branchrelations table (deleted)
2011-08-25 03:01 UTC, Nicole C. Engard
Details
Bug 6716: Documentation for the itemtypes table (deleted)
2011-08-25 03:11 UTC, Nicole C. Engard
Details
Bug 6716: Documentation for the letter table (deleted)
2011-08-25 03:15 UTC, Nicole C. Engard
Details
Bug 6716 - Document opac_news table (deleted)
2011-08-27 20:25 UTC, Nicole C. Engard
Details
Bug 6716 - Definition for the overduerules table (deleted)
2011-08-27 20:31 UTC, Nicole C. Engard
Details
Bug 6716 - Document reviews table (deleted)
2011-08-27 20:34 UTC, Nicole C. Engard
Details
Bug 6716 - Document roadtype table (deleted)
2011-08-27 20:37 UTC, Nicole C. Engard
Details
Bug 6716 - Document the systempreferences table (deleted)
2011-08-27 20:43 UTC, Nicole C. Engard
Details
Bug 6716 - Documentation for the fieldmapping table (deleted)
2011-08-27 20:50 UTC, Nicole C. Engard
Details
Bug 6716 - Documentation for the messages table (deleted)
2011-08-28 19:44 UTC, Nicole C. Engard
Details
Bug 6716 - Document z3950servers table (deleted)
2011-08-28 20:11 UTC, Nicole C. Engard
Details
Bug 6716 - Documents the virtual shelves tables (deleted)
2011-08-28 20:36 UTC, Nicole C. Engard
Details
Bug 6716 - Document subscriptionroutinglist table (deleted)
2011-08-28 20:50 UTC, Nicole C. Engard
Details
Bug 6716 - Document holiday tables (deleted)
2011-08-28 21:29 UTC, Nicole C. Engard
Details
Bug 6716 - Define reports_dictionary table (deleted)
2011-08-28 22:03 UTC, Nicole C. Engard
Details
Bug 6716: Document suggestions table (4.74 KB, patch)
2011-09-08 12:16 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Document suggestions DB table (deleted)
2011-09-08 12:45 UTC, Nicole C. Engard
Details
bug6716: documenting reserves and old_reserves tables (5.92 KB, patch)
2011-09-30 15:35 UTC, Nicole C. Engard
Details | Diff | Splinter Review
bug6716 - document the aqbooksellers table (4.27 KB, patch)
2011-09-30 16:55 UTC, Nicole C. Engard
Details | Diff | Splinter Review
bug 6717 - document the items table (5.94 KB, patch)
2011-09-30 17:25 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716 - document the items table (5.88 KB, patch)
2011-09-30 17:51 UTC, Nicole C. Engard
Details | Diff | Splinter Review
bug 6716 - document deleted items table (6.09 KB, patch)
2011-09-30 18:29 UTC, Nicole C. Engard
Details | Diff | Splinter Review
bug 6716 - document items table (5.98 KB, patch)
2011-09-30 18:32 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716 - Document Items Table (6.51 KB, patch)
2011-10-04 12:06 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716 Document deleteditems table (6.57 KB, patch)
2011-10-04 12:11 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Document biblioitems and deletedbiblioitems (6.21 KB, patch)
2011-10-04 19:59 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716 : Categories table (2.81 KB, patch)
2011-10-10 20:20 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Documenting need_merge_authorities (1.29 KB, patch)
2011-10-20 07:33 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 6716 Update biblio & deletedbiblio tables (4.43 KB, patch)
2011-10-21 12:23 UTC, Nicole C. Engard
Details | Diff | Splinter Review
bug6716: documenting reserves and old_reserves tables (5.92 KB, patch)
2011-12-06 07:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] bug6716: documenting reserves and old_reserves tables (5.99 KB, patch)
2011-12-06 07:06 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] bug6716 - document the aqbooksellers table (4.39 KB, patch)
2011-12-06 07:06 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6716 - Document Items Table (6.59 KB, patch)
2011-12-06 07:06 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6716 Document deleteditems table (6.64 KB, patch)
2011-12-06 07:07 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6716: Document biblioitems and deletedbiblioitems (6.28 KB, patch)
2011-12-06 07:07 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6716 : Categories table (2.88 KB, patch)
2011-12-06 07:07 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] 6717 Documenting need_merge_authorities table (1.37 KB, patch)
2011-12-06 07:07 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6716 Update biblio & deletedbiblio tables (4.50 KB, patch)
2011-12-06 07:07 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 6716: Document the aqbasket table (2.36 KB, patch)
2012-07-12 12:31 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Document aqbudgets and aqbudgetperiods tables (4.57 KB, patch)
2012-07-12 12:41 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Document the aqorders table (5.04 KB, patch)
2012-07-12 13:43 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Document aqorders_items table (1.34 KB, patch)
2012-07-12 13:50 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Document branchtransfers table (1.67 KB, patch)
2012-07-12 13:53 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Update ratings table documentation (1.55 KB, patch)
2012-07-12 13:56 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Document action_logs table (1.79 KB, patch)
2012-07-12 14:00 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Document aqbasket table (2.14 KB, patch)
2012-07-12 14:08 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Document the biblio_framework table (1.15 KB, patch)
2012-07-13 15:47 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Document branch_item_rules table (1.56 KB, patch)
2012-07-13 15:53 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Document branch_borrower_circ_rules table (1.49 KB, patch)
2012-07-13 16:12 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: document issuingrules table (3.80 KB, patch)
2012-07-13 18:33 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Document patronimage table (1.87 KB, patch)
2012-07-13 18:36 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Document tags tables (3.40 KB, patch)
2012-07-18 13:35 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Document import_batches table (3.05 KB, patch)
2012-07-18 14:08 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: document import_record_matches table (1.44 KB, patch)
2012-07-18 14:12 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Update documentation for the letter table (2.90 KB, patch)
2012-07-19 13:25 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Update reserves table (2.65 KB, patch)
2012-07-19 13:32 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Document saved_sql table (2.69 KB, patch)
2012-07-19 13:39 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Document search_history table (2.50 KB, patch)
2012-07-19 13:44 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Update z3950servers documentation (2.16 KB, patch)
2012-07-19 13:59 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Update documentation for the letter table (1.91 KB, patch)
2012-07-19 14:03 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Update reserves table (1.78 KB, patch)
2012-07-19 14:05 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Document saved_sql table (1.79 KB, patch)
2012-07-19 14:09 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Document search_history table (1.59 KB, patch)
2012-07-19 14:10 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Update z3950servers documentation (1.26 KB, patch)
2012-07-19 14:13 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716 tiny follow-up, mysql want a space after the -- (1.08 KB, patch)
2012-07-23 16:26 UTC, Paul Poulain
Details | Diff | Splinter Review
update 'onloan' in items and deleteditems (2.64 KB, patch)
2012-08-21 21:07 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED-OFF] update 'onloan' in items and deleteditems (2.71 KB, patch)
2012-08-24 06:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 6716: Update borrowers tables altaddress definiton (2.75 KB, patch)
2012-09-05 19:15 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716 - Fix alt contact field documentation (3.14 KB, patch)
2012-09-06 19:10 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716: Update biblioitems tables (1.94 KB, patch)
2012-09-27 15:12 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6716 - Document Items Table (6.57 KB, patch)
2014-04-03 02:03 UTC, Liz Rea
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-08-12 19:55:15 UTC
This is a bug that will have many patches.  I have (as doc manager) agreed to document the mysql structure in Koha.  To make it easy for others to submit patches and help me I'll submit a patch with what I've done in the day (or that time of day) so that others can submit patches as well without us doing the same work.

It was voted that I will enter comments using the -- notation, for example:

`frameworkcode` varchar(4) NOT NULL default '', --primary key, identifier for the framework table

This report should not be closed until all fields have been documented. If you're adding new fields please document them using the above notation when adding them.
Comment 1 Nicole C. Engard 2011-08-12 20:33:29 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2011-08-12 20:42:24 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2011-08-12 21:27:39 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2011-08-14 13:19:46 UTC Comment hidden (obsolete)
Comment 5 Nicole C. Engard 2011-08-14 20:10:54 UTC Comment hidden (obsolete)
Comment 6 Nicole C. Engard 2011-08-14 20:29:52 UTC Comment hidden (obsolete)
Comment 7 Nicole C. Engard 2011-08-14 20:51:05 UTC Comment hidden (obsolete)
Comment 8 Nicole C. Engard 2011-08-14 20:57:56 UTC Comment hidden (obsolete)
Comment 9 Nicole C. Engard 2011-08-14 21:17:10 UTC Comment hidden (obsolete)
Comment 10 Nicole C. Engard 2011-08-14 21:37:55 UTC Comment hidden (obsolete)
Comment 11 Nicole C. Engard 2011-08-14 21:56:47 UTC Comment hidden (obsolete)
Comment 12 Nicole C. Engard 2011-08-15 00:31:03 UTC Comment hidden (obsolete)
Comment 13 Nicole C. Engard 2011-08-15 00:43:21 UTC Comment hidden (obsolete)
Comment 14 Nicole C. Engard 2011-08-15 00:52:04 UTC Comment hidden (obsolete)
Comment 15 Nicole C. Engard 2011-08-15 01:45:07 UTC Comment hidden (obsolete)
Comment 16 Nicole C. Engard 2011-08-25 03:00:05 UTC Comment hidden (obsolete)
Comment 17 Nicole C. Engard 2011-08-25 03:01:59 UTC Comment hidden (obsolete)
Comment 18 Nicole C. Engard 2011-08-25 03:11:36 UTC Comment hidden (obsolete)
Comment 19 Nicole C. Engard 2011-08-25 03:15:59 UTC Comment hidden (obsolete)
Comment 20 Nicole C. Engard 2011-08-27 20:25:06 UTC Comment hidden (obsolete)
Comment 21 Nicole C. Engard 2011-08-27 20:31:01 UTC Comment hidden (obsolete)
Comment 22 Nicole C. Engard 2011-08-27 20:34:50 UTC Comment hidden (obsolete)
Comment 23 Nicole C. Engard 2011-08-27 20:37:46 UTC Comment hidden (obsolete)
Comment 24 Nicole C. Engard 2011-08-27 20:43:34 UTC Comment hidden (obsolete)
Comment 25 Nicole C. Engard 2011-08-27 20:50:57 UTC Comment hidden (obsolete)
Comment 26 Nicole C. Engard 2011-08-28 19:44:04 UTC Comment hidden (obsolete)
Comment 27 Nicole C. Engard 2011-08-28 20:11:16 UTC Comment hidden (obsolete)
Comment 28 Nicole C. Engard 2011-08-28 20:36:18 UTC Comment hidden (obsolete)
Comment 29 Nicole C. Engard 2011-08-28 20:50:53 UTC Comment hidden (obsolete)
Comment 30 Nicole C. Engard 2011-08-28 21:29:13 UTC Comment hidden (obsolete)
Comment 31 Nicole C. Engard 2011-08-28 22:03:41 UTC Comment hidden (obsolete)
Comment 32 Nicole C. Engard 2011-09-08 12:16:15 UTC Comment hidden (obsolete)
Comment 33 Nicole C. Engard 2011-09-08 12:45:03 UTC Comment hidden (obsolete)
Comment 34 Chris Cormack 2011-09-12 21:08:39 UTC
All patches attached have been pushed, please test, then reset the status if you add more patches
Comment 35 Nicole C. Engard 2011-09-30 15:35:02 UTC Comment hidden (obsolete)
Comment 36 Nicole C. Engard 2011-09-30 16:55:47 UTC Comment hidden (obsolete)
Comment 37 Nicole C. Engard 2011-09-30 17:25:00 UTC Comment hidden (obsolete)
Comment 38 Nicole C. Engard 2011-09-30 17:51:27 UTC Comment hidden (obsolete)
Comment 39 Nicole C. Engard 2011-09-30 18:29:54 UTC Comment hidden (obsolete)
Comment 40 Nicole C. Engard 2011-09-30 18:32:14 UTC Comment hidden (obsolete)
Comment 41 Katrin Fischer 2011-10-04 07:14:49 UTC
Hi Nicole, 

Sure:
stocknumber = inventory number, 952$i in MARC21, also mapped in UNIMARC
cn_sort = sortable form of the callnumber generated using the classification source and filing rules

Quite sure:
permanend_location = linked to the CART and PROC temporary locations feature. Probably used to save the location while the item is in PROC or CART.

Guessing a bit:
stack = I think this is linked to the shelving number - not sure.
paidfor = Was wrongly mapped to the internal note for a longer time. Probably something to be used when something gets lost and is paid for by the patron. Not sure this is still in use.
Comment 42 Nicole C. Engard 2011-10-04 11:56:27 UTC
Thanks,

I'll submit an updated patch with some of this info.

Nicole
Comment 43 Nicole C. Engard 2011-10-04 12:06:04 UTC Comment hidden (obsolete)
Comment 44 Nicole C. Engard 2011-10-04 12:11:52 UTC Comment hidden (obsolete)
Comment 45 Nicole C. Engard 2011-10-04 19:59:53 UTC Comment hidden (obsolete)
Comment 46 Nicole C. Engard 2011-10-10 20:20:57 UTC Comment hidden (obsolete)
Comment 47 Marcel de Rooy 2011-10-20 07:33:42 UTC Comment hidden (obsolete)
Comment 48 Nicole C. Engard 2011-10-21 12:23:42 UTC Comment hidden (obsolete)
Comment 49 Paul Poulain 2011-10-24 11:38:21 UTC
Updating Version : This ENH will be for Koha 3.8
Comment 50 Paul Poulain 2011-10-25 15:05:58 UTC
Bug versionned for master. entries will be made against rel_3_8 once the patch has been applied (see thread about that on koha-devel yesterday)
Comment 51 Chris Cormack 2011-12-04 08:08:44 UTC
The content of attachment 4992 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:08:39 NZDT.
Comment 52 Chris Cormack 2011-12-04 08:09:05 UTC
The content of attachment 5003 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:09:01 NZDT.
Comment 53 Chris Cormack 2011-12-04 08:09:36 UTC
The content of attachment 5004 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:09:32 NZDT.
Comment 54 Chris Cormack 2011-12-04 08:09:54 UTC
The content of attachment 5005 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:09:50 NZDT.
Comment 55 Chris Cormack 2011-12-04 08:10:57 UTC
The content of attachment 5006 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:10:51 NZDT.
Comment 56 Chris Cormack 2011-12-04 08:12:11 UTC
The content of attachment 5007 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:12:08 NZDT.
Comment 57 Chris Cormack 2011-12-04 08:12:30 UTC
The content of attachment 5008 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:12:24 NZDT.
Comment 58 Chris Cormack 2011-12-04 08:12:48 UTC
The content of attachment 5009 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:12:45 NZDT.
Comment 59 Chris Cormack 2011-12-04 08:13:23 UTC
The content of attachment 5011 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:13:14 NZDT.
Comment 60 Chris Cormack 2011-12-04 08:13:58 UTC
The content of attachment 5012 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:13:55 NZDT.
Comment 61 Chris Cormack 2011-12-04 08:14:31 UTC
The content of attachment 5013 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:14:28 NZDT.
Comment 62 Chris Cormack 2011-12-04 08:14:49 UTC
The content of attachment 5014 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:14:45 NZDT.
Comment 63 Chris Cormack 2011-12-04 08:15:27 UTC
The content of attachment 5139 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:15:18 NZDT.
Comment 64 Chris Cormack 2011-12-04 08:15:49 UTC
The content of attachment 5140 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:15:46 NZDT.
Comment 65 Chris Cormack 2011-12-04 08:16:08 UTC
The content of attachment 5141 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:16:04 NZDT.
Comment 66 Chris Cormack 2011-12-04 08:16:25 UTC
The content of attachment 5142 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:16:21 NZDT.
Comment 67 Chris Cormack 2011-12-04 08:16:43 UTC
The content of attachment 5174 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:16:40 NZDT.
Comment 68 Chris Cormack 2011-12-04 08:17:05 UTC
The content of attachment 5175 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:17:01 NZDT.
Comment 69 Chris Cormack 2011-12-04 08:17:25 UTC
The content of attachment 5176 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:17:22 NZDT.
Comment 70 Chris Cormack 2011-12-04 08:18:06 UTC
The content of attachment 5177 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:17:47 NZDT.
Comment 71 Chris Cormack 2011-12-04 08:18:44 UTC
The content of attachment 5178 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:18:40 NZDT.
Comment 72 Chris Cormack 2011-12-04 08:19:16 UTC
The content of attachment 5179 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:19:12 NZDT.
Comment 73 Chris Cormack 2011-12-04 08:19:47 UTC
The content of attachment 5186 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:19:44 NZDT.
Comment 74 Chris Cormack 2011-12-04 08:20:06 UTC
The content of attachment 5187 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:20:02 NZDT.
Comment 75 Chris Cormack 2011-12-04 08:20:49 UTC
The content of attachment 5188 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:20:46 NZDT.
Comment 76 Chris Cormack 2011-12-04 08:21:06 UTC
The content of attachment 5190 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:21:02 NZDT.
Comment 77 Chris Cormack 2011-12-04 08:21:24 UTC
The content of attachment 5192 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:21:20 NZDT.
Comment 78 Chris Cormack 2011-12-04 08:21:40 UTC
The content of attachment 5193 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:21:37 NZDT.
Comment 79 Chris Cormack 2011-12-04 08:22:04 UTC
The content of attachment 5356 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-12-04 21:22:01 NZDT.
Comment 80 Chris Cormack 2011-12-04 08:22:33 UTC
I have cleaned off the patches already pushed, the rest still need sign off
Comment 81 Katrin Fischer 2011-12-06 07:04:56 UTC Comment hidden (obsolete)
Comment 82 Katrin Fischer 2011-12-06 07:06:39 UTC Comment hidden (obsolete)
Comment 83 Katrin Fischer 2011-12-06 07:06:48 UTC Comment hidden (obsolete)
Comment 84 Katrin Fischer 2011-12-06 07:06:56 UTC Comment hidden (obsolete)
Comment 85 Katrin Fischer 2011-12-06 07:07:04 UTC Comment hidden (obsolete)
Comment 86 Katrin Fischer 2011-12-06 07:07:12 UTC Comment hidden (obsolete)
Comment 87 Katrin Fischer 2011-12-06 07:07:25 UTC Comment hidden (obsolete)
Comment 88 Katrin Fischer 2011-12-06 07:07:32 UTC Comment hidden (obsolete)
Comment 89 Katrin Fischer 2011-12-06 07:07:40 UTC Comment hidden (obsolete)
Comment 90 Katrin Fischer 2011-12-06 07:08:32 UTC
Applied patches and created a new database. No errors were reported and all documented tables were created.
Comment 91 Paul Poulain 2011-12-06 19:15:14 UTC
QA comment:
* aqorders.accountnumber is now used (i've pushed a patch to fix this recently). It stores & display the accountnumber of the library in the bookvendor system.
* need_merge_authorities_table patch does not apply anymore

Please provide new patches for those 2 tables
Comment 92 Katrin Fischer 2011-12-06 19:19:41 UTC
* need_merge_authorities_table patch does not apply anymore

Hi Paul, it applies fine for me using "git am -is3...". I will add your suggested change to the patch for aqbooksellers.
Comment 93 Paul Poulain 2011-12-13 14:53:51 UTC
QA comment :
patches applying, tested it kohastructure.sql still valid after applying them.

6 patches pushed,
Comment 94 Marcel de Rooy 2012-01-10 15:08:42 UTC
QA: Documentation changes only. OK
Comment 95 Paul Poulain 2012-01-13 10:46:22 UTC
Comment on attachment 6593 [details] [review]
[SIGNED-OFF] bug6716 - document the aqbooksellers table

patch pushed
Comment 96 Paul Poulain 2012-01-13 10:46:32 UTC
Comment on attachment 6598 [details] [review]
[SIGNED-OFF] 6717 Documenting need_merge_authorities table

patch pushed
Comment 97 Nicole C. Engard 2012-07-12 12:31:32 UTC Comment hidden (obsolete)
Comment 98 Nicole C. Engard 2012-07-12 12:41:06 UTC Comment hidden (obsolete)
Comment 99 Nicole C. Engard 2012-07-12 13:43:15 UTC Comment hidden (obsolete)
Comment 100 Nicole C. Engard 2012-07-12 13:50:12 UTC Comment hidden (obsolete)
Comment 101 Nicole C. Engard 2012-07-12 13:53:57 UTC Comment hidden (obsolete)
Comment 102 Nicole C. Engard 2012-07-12 13:56:54 UTC Comment hidden (obsolete)
Comment 103 Nicole C. Engard 2012-07-12 14:00:40 UTC Comment hidden (obsolete)
Comment 104 Nicole C. Engard 2012-07-12 14:08:11 UTC Comment hidden (obsolete)
Comment 105 Nicole C. Engard 2012-07-13 15:47:41 UTC Comment hidden (obsolete)
Comment 106 Nicole C. Engard 2012-07-13 15:53:41 UTC Comment hidden (obsolete)
Comment 107 Nicole C. Engard 2012-07-13 16:12:48 UTC Comment hidden (obsolete)
Comment 108 Nicole C. Engard 2012-07-13 18:33:05 UTC Comment hidden (obsolete)
Comment 109 Nicole C. Engard 2012-07-13 18:36:33 UTC Comment hidden (obsolete)
Comment 110 Nicole C. Engard 2012-07-18 13:35:41 UTC Comment hidden (obsolete)
Comment 111 Nicole C. Engard 2012-07-18 14:08:31 UTC Comment hidden (obsolete)
Comment 112 Nicole C. Engard 2012-07-18 14:12:49 UTC Comment hidden (obsolete)
Comment 113 Nicole C. Engard 2012-07-19 13:25:00 UTC Comment hidden (obsolete)
Comment 114 Nicole C. Engard 2012-07-19 13:32:05 UTC Comment hidden (obsolete)
Comment 115 Nicole C. Engard 2012-07-19 13:39:14 UTC Comment hidden (obsolete)
Comment 116 Nicole C. Engard 2012-07-19 13:44:24 UTC Comment hidden (obsolete)
Comment 117 Nicole C. Engard 2012-07-19 13:59:35 UTC Comment hidden (obsolete)
Comment 118 Nicole C. Engard 2012-07-19 14:03:57 UTC Comment hidden (obsolete)
Comment 119 Nicole C. Engard 2012-07-19 14:05:46 UTC Comment hidden (obsolete)
Comment 120 Nicole C. Engard 2012-07-19 14:09:05 UTC Comment hidden (obsolete)
Comment 121 Nicole C. Engard 2012-07-19 14:10:49 UTC Comment hidden (obsolete)
Comment 122 Nicole C. Engard 2012-07-19 14:13:00 UTC Comment hidden (obsolete)
Comment 123 Paul Poulain 2012-07-23 16:22:28 UTC
seems there's something wrong with -- comment at table level

I applied all those patches, then tried to load kohastructure.sql, and got a nasty:
ERROR 1064 (42000) at line 2737: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '--information related to the basket line items
  `ordernumber` int(11) NOT NULL ' at line 1

which is:
DROP TABLE IF EXISTS `aqorders`;
CREATE TABLE `aqorders` ( --information related to the basket line items
  `ordernumber` int(11) NOT NULL auto_increment, -- primary key and unique identifier assigned by Koha to each li     ne

seems mySQL don't like the --SOMETHING without space: after adding a space:
CREATE TABLE `aqorders` ( -- information related to the basket line items

things are OK

signed off, passed QA and pushed in master branch all in one go.

Thx for your hard work Nicole !
Comment 124 Paul Poulain 2012-07-23 16:26:59 UTC Comment hidden (obsolete)
Comment 125 Paul Poulain 2012-07-23 16:28:00 UTC
Comment on attachment 11084 [details] [review]
Bug 6716 tiny follow-up, mysql want a space after the --

this patch has been pushed, with many others, (on master branch directly)
Comment 126 Nicole C. Engard 2012-08-21 21:07:18 UTC Comment hidden (obsolete)
Comment 127 Katrin Fischer 2012-08-24 06:08:57 UTC Comment hidden (obsolete)
Comment 128 Jonathan Druart 2012-08-27 11:52:56 UTC
Last patch passes QA.
Comment 129 Paul Poulain 2012-09-04 16:21:45 UTC
Comment on attachment 11823 [details] [review]
[SIGNED-OFF] update 'onloan' in items and deleteditems

This patch has been pushed on master
Comment 130 Nicole C. Engard 2012-09-05 19:15:38 UTC Comment hidden (obsolete)
Comment 131 Nicole C. Engard 2012-09-06 19:10:07 UTC Comment hidden (obsolete)
Comment 132 Nicole C. Engard 2012-09-27 15:12:40 UTC Comment hidden (obsolete)
Comment 133 Paul Poulain 2012-10-04 16:04:49 UTC
Comment on attachment 12024 [details] [review]
Bug 6716 - Fix alt contact field documentation

this patch has been pushed
Comment 134 Paul Poulain 2012-10-04 16:05:16 UTC
Comment on attachment 12561 [details] [review]
Bug 6716: Update biblioitems tables

This patch has been pushed
Comment 135 Jared Camins-Esakov 2013-03-23 16:04:34 UTC
A new bug can be opened for further documentation updates.
Comment 136 Liz Rea 2014-04-03 02:03:22 UTC
Created attachment 26777 [details] [review]
Bug 6716 - Document Items Table

This patch documents the items table. Some fields were left
undocumented because I was unsure of what data was stored there:

stack - might be linked to shelving number, but need confirmation
paidfor - pretty sure this is unused, but don't want to document it that way

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>